ScXMLElseIfElt Class Reference
State Chart XML Classes

implements the <elseif> SCXML element. More...

`#include <Inventor/scxml/ScXMLElseIfElt.h>`

Inheritance diagram for ScXMLElseIfElt:

## Public Member Functions

virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual void | setCondAttribute (const char *cond)
virtual const char * | getCondAttribute (void) const
virtual SbBool | handleXMLAttributes (void)
virtual void | copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * | search (const char *attrname, const char *attrvalue) const
Public Member Functions inherited from ScXMLExecutableElt
virtual void | execute (ScXMLStateMachine *statemachine) const
Public Member Functions inherited from ScXMLElt
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
ScXMLElt * | clone (void) const
virtual void | setContainer (ScXMLElt *container)
ScXMLElt * | getContainer (void) const
SbBool | isContainedIn (const ScXMLElt *object) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions

static ScXMLEltReader * | getElementReader (void)
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLExecutableElt
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLElt
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Protected Attributes

char * | cond

## Additional Inherited Members

Static Protected Member Functions inherited from ScXMLElt
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

implements the <elseif> SCXML element.

The <elseif> element can have the attribute "cond" and no children. The <elseif> element is a separator element for the enclosing <if> element. It can only be used inside <if> elements.

Since
  Coin 3.1

## Member Function Documentation

## getTypeId()

SoType ScXMLElseIfElt::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLExecutableElt.

## handleXMLAttributes()

SbBool ScXMLElseIfElt::handleXMLAttributes | ( | void |  | ) |

virtual

This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.

Returns
  TRUE if the attributes are OK, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLElt.

## copyContents()

void ScXMLElseIfElt::copyContents | ( | const ScXMLElt * | rhs | ) |

virtual

Reimplemented from ScXMLExecutableElt.

## search()

const ScXMLElt * ScXMLElseIfElt::search | ( | const char * | attrname,
|  | const char * | attrvalue ) const

virtual

This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

The documentation for this class was generated from the following files:

- ScXMLElseIfElt.h
- ScXMLElseIfElt.cpp